# ord\_sendInscriptions

You can use the `ord_sendInscriptions` method to request inscription transfers from your user's  [connected wallet's ordinal address](/sats-connect/connecting-to-the-wallet.md). You can request multiple transfers in a single request, each transfer involving:

* an inscription&#x20;
* a recipient address

The method accepts a `transfers` array as request parameter:

<table><thead><tr><th width="212">Request parameters</th><th>Description</th></tr></thead><tbody><tr><td><code>transfers</code></td><td><p>an array  of transfer objects with &#x3C;<code>inscriptionId</code>, <code>recipient</code>> properties:</p><ul><li><code>inscriptionId</code> - string: the <a href="https://docs.ordinals.com/inscriptions.html#inscription-ids">id</a> of the inscription. <br><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> You can use the <a href="/pages/tqNdnvLTr4SRDuhPwpXn"><code>ord_getInscriptions</code></a> method to retrieve your user's inscriptions</li><li><code>address</code> - string: the Bitcoin address of the inscription transfer recipient<br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> We recommend managing inscriptions on taproot/ordinal addresses.</li></ul></td></tr></tbody></table>

```typescript
import { request } from "sats-connect";

   const response = await request('ord_sendInscriptions', {transfers: 
    [
      {
        inscriptionId: '22e63b19dede2882b2478f7182aa4ea8cd4a8289acd7a7d5dde96fcaaf4cd089i0',
        address: ordinalsAddress1,
      },
      {
        inscriptionId: '9a83420dbe566531114066a03d8022425064a78992710fab7006948eaa1d3546i0',
        address: ordinalsAddress2,
      }]  
    });

    if (response.status === "success") {
      // handle success
    } else {
      if (response.error.code === RpcErrorCode.USER_REJECTION) {
        // handle user cancellation error
      } else {
        // handle error
      }
    }
  } catch (err) {
      alert(err.error.message);
  }
```

The user will be prompted to review the inscription transfer transaction in the wallet, and to confirm:

* the inscriptions to send and their recipients
* their desired Bitcoin transaction fee &#x20;

The transaction will be signed and broadcasted upon user approval.

The `ord_sendInscriptions` method returns a Promise that resolves to the `sendInscriptionsResultSchema` object:

<table><thead><tr><th width="162">Property</th><th>Description</th></tr></thead><tbody><tr><td><code>txid</code></td><td>The Bitcoin transaction id as a hex-encoded string.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/sats-connect/bitcoin-methods/ord_sendinscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
